Levels
Create User Level
The ultimate no-paywall & featureful leveling bot. Transfer your MEE6/Amari/Polaris leaderboard to get started!
POST
/levels/{guildId}/users/{userId}Authorization
apiKey X-Api-Key<token>
The user's API key to authenticate requests
In: header
Path Parameters
guildId*string
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19userId*string
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
user*
xp*integer
Range
0 <= value <= 2147483647Response Body
application/json
curl -X POST "https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin" \ -H "Content-Type: application/json" \ -d '{ "user": { "avatar": "stringstringstringstringstringst", "discriminator": "string", "username": "string" }, "xp": 2147483647 }'{ "level": { "level": 10000, "messageCount": 0, "xp": 2147483647 }}